%global pmname	pom
%global ppname	mycila
Name:		%{ppname}-%{pmname}
Version:	6
Release:	2%{?dist}
Summary:	Mycila parent POM

License:	ASL 2.0
URL:		https://github.com/mycila/pom
BuildArch:	noarch

Source0:	https://github.com/mycila/pom/archive/%{name}-%{version}.tar.gz

BuildRequires:	maven-local
BuildRequires:	dos2unix
BuildRequires:	mvn(org.apache.maven.wagon:wagon-ssh-external)


Requires: java-headless

%description
Mycila parent POM

%prep
%setup -q -n %{pmname}-%{name}-%{version}
dos2unix pom.xml
%pom_remove_plugin com.mycila:license-maven-plugin
chmod -x README.md

%pom_xpath_remove "pom:extension[pom:artifactId[text()='wagon-webdav']]"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md


%changelog
* Wed May 25 2016 Sopot Cela <scela@redhat.com> 6-2
- minor rpmlint fixes

* Tue Feb 03 2015 Zdenek Zambersky <zzambers@redhat.com> 6-1
- initial rpm
